Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024706
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-05 19:152013-09-17 19:02
ReporterdbazView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revisiondad3958c49c8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024706: OBCalendar overrides some isc.Calendar methods

DescriptionOBCalendar overrides some isc.Calendar methods

Steps To ReproduceAvoid:

this.datePickerButtonDefaults.src = OB.Styles.OBCalendar.datePickerButton.src;
this.datePickerButtonDefaults.width = OB.Styles.OBCalendar.datePickerButton.width;
this.datePickerButtonDefaults.height = OB.Styles.OBCalendar.datePickerButton.height;
this.previousButtonDefaults.src = OB.Styles.OBCalendar.previousButton.src;
this.previousButtonDefaults.width = OB.Styles.OBCalendar.previousButton.width;
this.previousButtonDefaults.height = OB.Styles.OBCalendar.previousButton.height;
this.nextButtonDefaults.src = OB.Styles.OBCalendar.nextButton.src;
this.nextButtonDefaults.width = OB.Styles.OBCalendar.nextButton.width;
this.nextButtonDefaults.height = OB.Styles.OBCalendar.nextButton.height;
this.controlsBarDefaults.layoutTopMargin = OB.Styles.OBCalendar.controlsTopMarging;

this.mainViewDefaults._constructor = isc.OBCalendarTabSet;

this.eventDialogDefaults'._constructor = isc.OBCalendar_EventDialogBridge;
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060954)
hgbot (developer)
2013-09-05 19:57

Repository: erp/devel/pi
Changeset: dad3958c49c874dfaa9c9495526e675a1defe78d
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Sep 05 19:56:53 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dad3958c49c874dfaa9c9495526e675a1defe78d [^]

Fixed issue 24706: Now OBCalendar doesn't override isc.Calendar properties

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/calendar/ob-calendar.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-calendar-styles.js
---
(0061121)
mtaal (developer)
2013-09-13 00:30

Reviewed
(0061224)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-05 19:15 dbaz New Issue
2013-09-05 19:15 dbaz Assigned To => dbaz
2013-09-05 19:15 dbaz Modules => Core
2013-09-05 19:15 dbaz Triggers an Emergency Pack => No
2013-09-05 19:16 dbaz Review Assigned To => mtaal
2013-09-05 19:16 dbaz Issue Monitored: mtaal
2013-09-05 19:57 hgbot Checkin
2013-09-05 19:57 hgbot Note Added: 0060954
2013-09-05 19:57 hgbot Status new => resolved
2013-09-05 19:57 hgbot Resolution open => fixed
2013-09-05 19:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dad3958c49c874dfaa9c9495526e675a1defe78d [^]
2013-09-13 00:30 mtaal Note Added: 0061121
2013-09-13 00:30 mtaal Status resolved => closed
2013-09-13 00:30 mtaal Fixed in Version => 3.0MP28
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061224


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker